Ubuntu 11.10 (64bit) へ Android アプリケーション開発環境

Facebooktwittergoogle_plustumblrmail
(1) JDK を入れる

本当は sun-java6-jdk が良いのだろうけれども、近い内にリポジトリから消すってアナウンスもあったし (→このへん、またはImportant notice regarding Java packages in Partner archive) 、問題が出るまでは OpenJDK で頑張る。

今回、 OpenJDK は Medibuntu (→http://medibuntu.org/)をインストールした時に勝手に入った感じなので、個別に apt-get したい人はどうすれば良いのかは知らない。 “dpkg -l | grep jdk” した結果は以下の通り。
  • default-jdk
  • openjdk-6-jdk
  • openjdk-6-jre
  • openjdk-6-jre-headless
  • openjdk-6-jre-lib

(2) Eclipse を入れる

関係有りそうなのを選んで apt-get 。ちなみに Eclipse は 3.7 (Indigo) が入った。 “dpkg -l | grep eclipse” した結果は以下の通り。
  • eclipse
  • eclipse-jdt
  • eclipse-pde
  • eclipse-platform
  • eclipse-platform-data
  • eclipse-rcp

(3) SDK 、 NDK

説明省略。
  • SDK : http://developer.android.com/sdk/index.html
    • インストール方法 : http://developer.android.com/sdk/installing.html
  • NDK : http://developer.android.com/sdk/ndk/index.html


今回 Ubuntu が 64bit なので “apt-get install ia32-libs” も必要 (→説明) 。

(4) Eclipse にプラグインを追加


  • WST 関連ファイル
    • http://download.eclipse.org/releases/indigo
    • “Web, XML, JavaEE and OSGi Enterprise Development” が必要 (ADT が参照してる→説明)
  • ADT 関連ファイル
    • http://dl-ssl.google.com/android/eclipse/
    • 取り敢えず全部 (→説明)
  • Mylyn
    • http://download.eclipse.org/mylyn/releases/latest
    • “Mylyn SDKs and Frameworsk” -> “Mylyn Commons” だけ必要 (Google プラグインが参照してる)
  • Google プラグイン
    • http://dl.google.com/eclipse/plugin/3.7
    • 取り敢えず全部 (→説明)

(5) Android SDK Manager で個別の SDK をインストール

今回は取り敢えず全部の SDK 、ツールをダウンロードした。
Facebooktwittergoogle_plustumblrmail
Yusuke Dada K.
Yusuke Dada K.
台湾の現地企業で主に組み込みソフトウエアの研究開発をしている日本人です。我人是個日本人,負責軟體的研究開發。在臺灣的科技公司工作。

コメントする

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です